{
  "schema_version": "1.4.0",
  "id": "GHSA-7qxw-w45x-p9g9",
  "modified": "2022-05-02T03:23:16Z",
  "published": "2022-05-02T03:23:16Z",
  "aliases": [
    "CVE-2009-1274"
  ],
  "details": "Integer overflow in the qt_error parse_trak_atom function in demuxers/demux_qt.c in xine-lib 1.1.16.2 and earlier allows remote attackers to execute arbitrary code via a Quicktime movie file with a large count value in an STTS atom, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2009-1274"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/49714"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00210.html"
    },
    {
      "type": "WEB",
      "url": "https://www.redhat.com/archives/fedora-package-announce/2009-April/msg00215.html"
    },
    {
      "type": "WEB",
      "url": "http://bugs.xine-project.org/show_bug.cgi?id=224"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2009-06/msg00003.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/53288"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34593"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/34712"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/35416"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/project/shownotes.php?group_id=9655&release_id=673233"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:298"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2009:299"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/502481/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/34384"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1021989"
    },
    {
      "type": "WEB",
      "url": "http://www.trapkit.de/advisories/TKADV2009-005.txt"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2009/0937"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2009-04-08T18:30:00Z"
  }
}